
//#define CHIP_VERSION_A1   //Uncomment this for A1 version chipset and comment the next two lines
#define CHIP_VERSION_REV1	//Uncomment this for REV1 chips and comment out the remaining
//#define CHIP_VERSION_SX	//Uncomment this for SX chip (Internal) and comment out the remaining
#define BAUD_RATE 19200
//IEEE EUI - globally unique number
#define EUI_7 0x00
#define EUI_6 0x01
#define EUI_5 0x02
#define EUI_4 0x03
#define EUI_3 0x04
#define EUI_2 0x05
#define EUI_1 0x06
#define EUI_0 0x07
#define HOTKEYS	case 26:\
						goto MainMenu; \
				case 24:\
						ResetMRF89XA();\
						goto MainMenu;\
             	case 19:\
						PrintStatus();\
						break;	
				

	#define CLOCK_FREQ 8000000

	//Baud rate is set to 19200 for communication through UART

//MRF49XA Reset, INT, CS pin mappings and LED port connections for each demo board


	#define DATA_PIN                LATB5
	#define DATA_PIN_TRIS           TRISB5

	#define PHY_IRQ0                IFS1bits.INT1IF
    #define PHY_IRQ0_En             IEC1bits.INT1IE
	#define PHY_IRQ1                IFS1bits.INT2IF
	#define PHY_IRQ1_En             IEC1bits.INT2IE	
	#define PHY_IRQ0_TRIS           TRISB13
	#define PHY_IRQ1_TRIS           TRISB14
	#define Config_nCS              LATA4
    #define Config_nCS_TRIS         TRISA4
	#define Data_nCS                LATB11
	#define Data_nCS_TRIS           TRISB11
	#define PHY_SDI                 _RB8
	#define PHY_SDI_TRIS            TRISB8
	#define PHY_SDO                 LATB7
	#define PHY_SDO_TRIS            TRISB7
	#define PHY_SCK                 LATB4
	#define PHY_SCK_TRIS            TRISB4
	#define RESET_TRIS              TRISB15
	#define RESET_PIN               LATB15

//	#define LED_1                   LATB9
//    #define LED_2                   LATB10
//    #define LED_1_TRIS              TRISB9
//    #define LED_2_TRIS              TRISB10

#define PACKET_LEN 64
#define PAYLOAD_LEN 64

//defines
#define VERSION "1.0"

